package cn.kdan.compdf.exception;

import cn.kdan.compdf.enums.ResponseEnum;
import lombok.Getter;

import java.text.MessageFormat;

/**
 * @author Bob
 * @date 2022/10/12
 * 业务异常类
 */
@Getter
public class BusinessException extends RuntimeException {

    private String code;
    private String msg;

    public BusinessException(String msg) {
        super(msg);
        this.code="-1";
        this.msg = msg;
    }

    public BusinessException(Integer code, String msg) {
        super(msg);
        this.msg = msg;
        this.code = code.toString();
    }

    public BusinessException(ResponseEnum responseEnum) {
        super(responseEnum.getMsg());
        this.msg = responseEnum.getMsg();
        this.code = responseEnum.getCode();
    }

    public BusinessException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }

    public BusinessException(Integer code, String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
        this.code = code.toString();
    }

    @Override
    public Throwable fillInStackTrace() {
        return this;
    }

    @Override
    public String toString() {
        return MessageFormat.format("code:[{0}],msg:[{1}]", this.getCode(), this.getMsg());
    }
}
