package cn.kdan.compdf.exception;

import cn.kdan.compdf.enums.BackgroundErrorEnum;
import cn.kdan.compdf.enums.ResponseEnum;
import lombok.Getter;

/**
 * 自定义异常
 *
 * @author ZhouQiang 2022/7/5
 */
@Getter
public class CommonException extends RuntimeException {

    private final String code;

    public CommonException(String msg) {
        super(msg);
        this.code = BackgroundErrorEnum.ERROR_INNER.getCode();
    }

    public CommonException(String code, String msg) {
        super(msg);
        this.code = code;
    }

    public CommonException(BackgroundErrorEnum errorEnum){
        super(errorEnum.getMessage());
        this.code = errorEnum.getCode();
    }

    public CommonException(ResponseEnum errorEnum){
        super(errorEnum.getMsg());
        this.code = errorEnum.getCode();
    }

}
