package cn.kdan.compdf.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.HorizontalAlignmentEnum;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author Bob 2022-10-20
 */
@Data
@ContentStyle(horizontalAlignment = HorizontalAlignmentEnum.LEFT) //内容样式
public class BackgroundUserBalanceVO {

    /**
     * 日期
     */
    @ExcelProperty(value = "Date", index = 0)
    private String date;
    /**
     * 充值/消费具体类型描述
     */
    @ExcelProperty(value = "Description", index = 1)
    private String description;
    /**
     * 文件数量变动额度
     */
    @ExcelProperty(value = "Balance change", index = 2)
    private String balanceChange;
    /**
     * 文件数量余额
     */
    @ExcelProperty(value = "Remaining files", index = 3)
    private Integer remainingFiles;
    /**
     * 过期时间
     */
    @ExcelIgnore
    private Date expiredDate;

}
